Package org.opensaml.saml.saml2.core.impl

# Class AuthnContextImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.AuthnContextImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `AuthnContext`

public class AuthnContextImpl extends AbstractXMLObject implements AuthnContext
A concrete implemenation of `AuthnContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthenticatingAuthority>`
`authenticatingAuthority`
List of the Authenticating Authorities.
`private AuthnContextClassRef`
`authnContextClassRef`
URI of the Context Class.
`private AuthnContextDecl`
`authnContextDecl`
Declaration of the Authentication Context.
`private AuthnContextDeclRef`
`authnContextDeclRef`
URI of the Declaration of the Authentication Context.

### Fields inherited from interface org.opensaml.saml.saml2.core.AuthnContext

`AUTHENTICATED_TELEPHONY_AUTHN_CTX, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, IP_AUTHN_CTX, IP_PASSWORD_AUTHN_CTX, KERBEROS_AUTHN_CTX, MOFC_AUTHN_CTX, MOFU_AUTHN_CTX, MTFC_AUTHN_CTX, MTFU_AUTHN_CTX, NOMAD_TELEPHONY_AUTHN_CTX, PASSWORD_AUTHN_CTX, PERSONAL_TELEPHONY_AUTHN_CTX, PGP_AUTHN_CTX, PPT_AUTHN_CTX, PREVIOUS_SESSION_AUTHN_CTX, SMARTCARD_AUTHN_CTX, SMARTCARD_PKI_AUTHN_CTX, SOFTWARE_PKI_AUTHN_CTX, SPKI_AUTHN_CTX, SRP_AUTHN_CTX, TELEPHONY_AUTHN_CTX, TIME_SYNC_TOKEN_AUTHN_CTX, TLS_CLIENT_AUTHN_CTX, TYPE_LOCAL_NAME, TYPE_NAME, UNSPECIFIED_AUTHN_CTX, X509_AUTHN_CTX, XML_DSIG_AUTHN_CTX`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthnContextImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AuthnContextDecl`
`getAuthContextDecl()`
Gets Declaration of this Authentication Context.
`List<AuthenticatingAuthority>`
`getAuthenticatingAuthorities()`
Gets the Authenticating Authorities of this Authentication Context.
`AuthnContextClassRef`
`getAuthnContextClassRef()`
Gets the URI identifying the Context Class of this Authentication Context.
`AuthnContextDeclRef`
`getAuthnContextDeclRef()`
Gets the URI of the Declaration of this Authentication Context.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAuthnContextClassRef(AuthnContextClassRef newAuthnContextClassRef)`
Sets the URI identifying the Context Class of this Authentication Context.
`void`
`setAuthnContextDecl(AuthnContextDecl newAuthnContextDecl)`
Sets the Declaration of this Authentication Context.
`void`
`setAuthnContextDeclRef(AuthnContextDeclRef newAuthnContextDeclRef)`
Sets the URI of the Declaration of this Authentication Context.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### authnContextClassRef

@Nullable private AuthnContextClassRef authnContextClassRef
URI of the Context Class.

### authnContextDecl

@Nullable private AuthnContextDecl authnContextDecl
Declaration of the Authentication Context.

### authnContextDeclRef

@Nullable private AuthnContextDeclRef authnContextDeclRef
URI of the Declaration of the Authentication Context.

### authenticatingAuthority

@Nonnull private final XMLObjectChildrenList<AuthenticatingAuthority> authenticatingAuthority
List of the Authenticating Authorities.

## Constructor Details

### AuthnContextImpl

protected AuthnContextImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAuthnContextClassRef

@Nullable public AuthnContextClassRef getAuthnContextClassRef()
Gets the URI identifying the Context Class of this Authentication Context.

Specified by:
  `getAuthnContextClassRef` in interface `AuthnContext`
Returns:
  AuthnContext AuthnContextClassRef

### setAuthnContextClassRef

public void setAuthnContextClassRef(@Nullable AuthnContextClassRef newAuthnContextClassRef)
Sets the URI identifying the Context Class of this Authentication Context.

Specified by:
  `setAuthnContextClassRef` in interface `AuthnContext`
Parameters:
  `newAuthnContextClassRef` - the URI of this Authentication Context's Class.

### getAuthContextDecl

@Nullable public AuthnContextDecl getAuthContextDecl()
Gets Declaration of this Authentication Context.

Specified by:
  `getAuthContextDecl` in interface `AuthnContext`
Returns:
  AuthnContext AuthnContextDecl

### setAuthnContextDecl

public void setAuthnContextDecl(@Nullable AuthnContextDecl newAuthnContextDecl)
Sets the Declaration of this Authentication Context.

Specified by:
  `setAuthnContextDecl` in interface `AuthnContext`
Parameters:
  `newAuthnContextDecl` - the Declaration of this Authentication Context

### getAuthnContextDeclRef

@Nullable public AuthnContextDeclRef getAuthnContextDeclRef()
Gets the URI of the Declaration of this Authentication Context.

Specified by:
  `getAuthnContextDeclRef` in interface `AuthnContext`
Returns:
  AuthnContext AuthnContextDeclRef

### setAuthnContextDeclRef

public void setAuthnContextDeclRef(@Nullable AuthnContextDeclRef newAuthnContextDeclRef)
Sets the URI of the Declaration of this Authentication Context.

Specified by:
  `setAuthnContextDeclRef` in interface `AuthnContext`
Parameters:
  `newAuthnContextDeclRef` - the URI of the Declaration of this Authentication Context

### getAuthenticatingAuthorities

@Nonnull @Live public List<AuthenticatingAuthority> getAuthenticatingAuthorities()
Gets the Authenticating Authorities of this Authentication Context.

Specified by:
  `getAuthenticatingAuthorities` in interface `AuthnContext`
Returns:
  AuthnContext AuthenticatingAuthorities

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements